import request from '@/utils/request'

// 查询订单列表
export function listOrdermaster1692279150000(query) {
  return request({
    url: '/forms/api/gen/Ordermaster1692279150000/list',
    method: 'get',
    params: query
  })
}

// 查询订单详细
export function getOrdermaster1692279150000(orderNo) {
  return request({
    url: '/forms/api/gen/Ordermaster1692279150000/' + orderNo,
    method: 'get'
  })
}

// 新增订单
export function addOrdermaster1692279150000(data) {
  return request({
    url: '/forms/api/gen/Ordermaster1692279150000',
    method: 'post',
    data: data
  })
}

// 修改订单
export function updateOrdermaster1692279150000(data) {
  return request({
    url: '/forms/api/gen/Ordermaster1692279150000',
    method: 'put',
    data: data
  })
}

// 删除订单
export function delOrdermaster1692279150000(orderNo) {
  return request({
    url: '/forms/api/gen/Ordermaster1692279150000/' + orderNo,
    method: 'delete'
  })
}
	